## mpd-dmo 0.22.10

=== meson_options.txt ===
option('documentation', type: 'feature', description: 'Build documentation')
option('html_manual', type: 'boolean', value: true, description: 'Build the HTML manual')
option('manpages', type: 'boolean', value: true, description: 'Build manual pages')

option('syslog', type: 'feature', description: 'syslog support')
option('inotify', type: 'boolean', value: true, description: 'inotify support (for automatic database update)')
option('io_uring', type: 'feature', description: 'Linux io_uring support using liburing')

option('daemon', type: 'boolean', value: true, description: 'enable daemonization')
option('systemd', type: 'feature', description: 'systemd support')

option('systemd_system_unit_dir', type: 'string', description: 'systemd system service directory')
option('systemd_user_unit_dir', type: 'string', description: 'systemd user service directory')

#
# Options for developers
#

option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')
option('fuzzer', type: 'boolean', value: false, description: 'Build fuzzers (requires libFuzzer)')

#
# Android
#

option('android_sdk', type: 'string', description: 'The path where Android SDK is installed')
option('android_ndk', type: 'string', description: 'The path where Android NDK is installed')
option('android_abi', type: 'string', value: 'armeabi-v7a', description: 'The Android ABI to be built')

option('android_strip', type: 'string', value: 'strip', description: 'The "strip" tool from the NDK')

option('android_debug_keystore', type: 'string', description: 'The keystore file used to sign debug APK files')

option('android_keystore', type: 'string', description: 'The keystore file used to sign APK files')
option('android_keyalias', type: 'string', description: 'The key alias used to sign APK files')
option('android_keypass', type: 'string', description: 'The password of the keystore used to sign APK files')

#
# System call support
#

option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')

#
# Network support
#

option('tcp', type: 'boolean', value: true, description: 'Support for clients connecting via TCP')
option('ipv6', type: 'feature', description: 'Support for IPv6')
option('local_socket', type: 'boolean', value: true, description: 'Support for clients connecting via local sockets')

#
# Audio formats
#

option('dsd', type: 'boolean', value: true, description: 'Support the DSD audio format')

#
# Database plugins
#

option('database', type: 'boolean', value: true, description: 'enable support for the music database')
option('upnp', type: 'feature', description: 'UPnP client support')
option('libmpdclient', type: 'feature', description: 'libmpdclient support (for the proxy database plugin)')

#
# Neighbor plugins
#

option('neighbor', type: 'boolean', value: true, description: 'enable support for neighbor discovery')

#
# Storage plugins
#

option('udisks', type: 'feature', description: 'Support for removable media using udisks2')
option('webdav', type: 'feature', description: 'WebDAV support using CURL and Expat')

#
# Playlist plugins
#

option('cue', type: 'boolean', value: true, description: 'CUE sheet support')

#
# Input plugins
#

option('cdio_paranoia', type: 'feature', description: 'libcdio_paranoia input plugin')
option('curl', type: 'feature', description: 'HTTP client using CURL')
option('mms', type: 'feature', description: 'MMS protocol support using libmms')
option('nfs', type: 'feature', description: 'NFS protocol support using libnfs')

# The "smbclient" plugin is disabled by default because libsmbclient
# has a serious bug which crashes MPD very quickly:
# https://bugzilla.samba.org/show_bug.cgi?id=11413
option('smbclient', type: 'feature', value: 'disabled', description: 'SMB support using libsmbclient')

#
# Commercial services
#

option('qobuz', type: 'feature', description: 'Qobuz client')
option('soundcloud', type: 'feature', description: 'SoundCloud client')

#
# Archive plugins
#

option('bzip2', type: 'feature', description: 'bzip2 support using libbz2')
option('iso9660', type: 'feature', description: 'ISO9660 support using libiso9660')
option('zzip', type: 'feature', description: 'ZIP support using zziplib')

#
# Tag plugins
#

option('id3tag', type: 'feature', description: 'ID3 support using libid3tag')
option('chromaprint', type: 'feature', description: 'ChromaPrint / AcoustID support')

#
# Decoder plugins
#

option('adplug', type: 'feature', description: 'AdPlug decoder plugin')
option('audiofile', type: 'feature', description: 'libaudiofile decoder plugin')
option('faad', type: 'feature', description: 'AAC decoder using libfaad')
option('ffmpeg', type: 'feature', description: 'FFmpeg codec support')
option('flac', type: 'feature', description: 'FLAC decoder plugin')
option('fluidsynth', type: 'feature', description: 'fluidsynth MIDI decoder plugin')
option('gme', type: 'feature', description: 'Game Music Emulator decoder plugin')
option('mad', type: 'feature', description: 'MP3 decoder using libmad')
option('mikmod', type: 'feature', description: 'MikMod decoder plugin')
option('modplug', type: 'feature', description: 'Modplug decoder plugin')
option('mpcdec', type: 'feature', description: 'Musepack decoder plugin')
option('mpg123', type: 'feature', description: 'MP3 decoder using libmpg123')
option('opus', type: 'feature', description: 'Opus decoder plugin')
option('sidplay', type: 'feature', description: 'C64 SID support via libsidplayfp or libsidplay2')
option('sndfile', type: 'feature', description: 'libsndfile decoder plugin')
option('tremor', type: 'feature', description: 'Fixed-point vorbis decoder plugin')
option('vorbis', type: 'feature', description: 'Vorbis decoder plugin')
option('wavpack', type: 'feature', description: 'WavPack decoder plugin')
option('wildmidi', type: 'feature', description: 'WildMidi decoder plugin')

#
# Encoder plugins
#

option('vorbisenc', type: 'feature', description: 'Vorbis encoder plugin')
option('lame', type: 'feature', description: 'LAME MP3 encoder plugin')
option('twolame', type: 'feature', description: 'TwoLAME MP2 encoder plugin')
option('shine', type: 'feature', description: 'shine MP3 encoder plugin')
option('wave_encoder', type: 'boolean', value: true, description: 'PCM wave encoder encoder plugin')

#
# Filter plugins
#

option('libsamplerate', type: 'feature', description: 'libsamplerate resampler')
option('soxr', type: 'feature', description: 'libsoxr resampler')

#
# Output plugins
#

option('alsa', type: 'feature', description: 'ALSA support')
option('ao', type: 'feature', description: 'libao output plugin')
option('fifo', type: 'boolean', value: true, description: 'FIFO output plugin')
option('httpd', type: 'boolean', value: true, description: 'HTTP streaming output plugin')
option('jack', type: 'feature', description: 'JACK output plugin')
option('openal', type: 'feature', description: 'OpenAL output plugin')
option('oss', type: 'feature', description: 'Open Sound System support')
option('pipe', type: 'boolean', value: true, description: 'Pipe output plugin')
option('pulse', type: 'feature', description: 'PulseAudio support')
option('recorder', type: 'boolean', value: true, description: 'Recorder output plugin')
option('shout', type: 'feature', description: 'Shoutcast streaming support using libshout')
option('sndio', type: 'feature', description: 'sndio output plugin')
option('solaris_output', type: 'feature', description: 'Solaris /dev/audio support')

#
# Misc libraries
#

option('dbus', type: 'feature', description: 'D-Bus support')
option('expat', type: 'feature', description: 'Expat XML support')
option('icu', type: 'feature', description: 'Use libicu for Unicode')
option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
option('pcre', type: 'feature', description: 'Enable regular expression support (using libpcre)')
option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
option('yajl', type: 'feature', description: 'libyajl for YAML support')
option('zlib', type: 'feature', description: 'zlib support (for database compression)')

option('zeroconf', type: 'combo',
       choices: ['auto', 'avahi', 'bonjour', 'disabled'],
       value: 'auto',
       description: 'Zeroconf support')

=== debian/changelog ===
mpd-dmo (1:0.22.10-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 07 Aug 2021 00:28:57 +0200

mpd-dmo (1:0.22.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Jun 2021 07:45:24 +0200

mpd-dmo (1:0.22.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 22 May 2021 22:16:25 +0200

mpd-dmo (1:0.22.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 May 2021 00:02:34 +0200

mpd-dmo (1:0.22.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Feb 2021 08:19:42 +0100

mpd-dmo (1:0.22.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2021 07:58:44 +0100

mpd-dmo (1:0.22.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Jan 2021 08:45:22 +0100

mpd-dmo (1:0.22.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Nov 2020 19:03:42 +0100

mpd-dmo (1:0.22.2-dmo2) unstable; urgency=medium

  * Build with libsidplayfp5

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Nov 2020 14:02:33 +0100

mpd-dmo (1:0.22.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Oct 2020 08:11:10 +0100

mpd-dmo (1:0.22.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Oct 2020 08:22:25 +0200

mpd-dmo (1:0.22-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Sep 2020 08:04:20 +0200

mpd-dmo (1:0.21.26-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Sep 2020 15:49:41 +0200

mpd-dmo (1:0.21.25-dmo3) unstable; urgency=medium

  * Build with upnp 1.14.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jul 2020 12:30:01 +0200

mpd-dmo (1:0.21.25-dmo2) unstable; urgency=medium

  * Build with libadplug-2.3.3-0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jul 2020 08:45:50 +0200

mpd-dmo (1:0.21.25-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jul 2020 00:08:28 +0200

mpd-dmo (1:0.21.24-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Jun 2020 06:57:59 +0200

mpd-dmo (1:0.21.23-dmo2) unstable; urgency=medium

  * Build with libicu67

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Jun 2020 17:09:10 +0200

mpd-dmo (1:0.21.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Apr 2020 08:48:46 +0200

mpd-dmo (1:0.21.22-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Apr 2020 08:39:42 +0200

mpd-dmo (1:0.21.21-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Mar 2020 18:15:15 +0100

mpd-dmo (1:0.21.20-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 17 Feb 2020 09:24:40 +0100

mpd-dmo (1:0.21.19-dmo2) unstable; urgency=medium

  * Build with libupnp16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jan 2020 12:06:32 +0100

mpd-dmo (1:0.21.19-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2020 09:29:04 +0100

mpd-dmo (1:0.21.18-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Dec 2019 09:31:20 +0100

mpd-dmo (1:0.21.17-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 17 Dec 2019 08:44:43 +0100

mpd-dmo (1:0.21.16-dmo4) unstable; urgency=medium

  * Build with libfluidsynth2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Dec 2019 01:45:56 +0100

mpd-dmo (1:0.21.16-dmo3) unstable; urgency=medium

  * Build with pupnp-1.8 1.10.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 09:52:09 +0100

mpd-dmo (1:0.21.16-dmo2) unstable; urgency=medium

  * Build against libadplug-2.3.1-0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Oct 2019 00:04:15 +0200

mpd-dmo (1:0.21.16-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Oct 2019 13:47:50 +0200

mpd-dmo (1:0.21.15-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 26 Sep 2019 09:03:44 +0200

mpd-dmo (1:0.21.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 21 Aug 2019 13:18:45 +0200

mpd-dmo (1:0.21.13-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Aug 2019 13:42:58 +0200

mpd-dmo (1:0.21.12-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Aug 2019 12:59:52 +0200

mpd-dmo (1:0.21.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Jul 2019 18:37:57 +0200

mpd-dmo (1:0.21.10-dmo3) unstable; urgency=medium

  * Rebuild, armel package is broken.



=== debian/control ===
Source: mpd-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.musicpd.org/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), libao-dev (>= 0.8.3), meson (>= 0.49.0~),
 libasound2-dev [linux-any], libaudiofile-dev (>= 0.3), libsoxr-dev, cmake,
 libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
 libyajl-dev, libmodplug-dev, libcdio-paranoia-dev, libchromaprint-dev,
 libfluidsynth-dev (>= 2.1.0~), libmpg123-dev, libavformat-dev, libiso9660-dev,
 libcurl4-gnutls-dev, libfaad-dev, xmlto, quilt, libflac-dev (>= 1.1.4),
 libopus-dev, libtwolame-dev, libmpdclient-dev (>= 2.16~), libgme-dev,
 libid3tag0-dev, libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev,
 libmpcdec-dev, libpulse-dev, libexpat-dev, libsamplerate0-dev, libshine-dev,
 libboost-dev (>= 1.67), libshout-dev, libsystemd-dev [linux-any],
 libsidplay2-dev, libsqlite3-dev, libsidplayfp-dev (>= 2.0.5~), liburing-dev,
 libupnp-dev (>= 1:1.14~), libvorbis-dev [!arm !armel !armeb], python3-sphinx,
 libsmbclient-dev, libnfs-dev (>= 1:4.0.0~), libvorbisidec-dev [arm armel armeb],
 libwavpack-dev, libwildmidi-dev (>= 0.4.0~), libzzip-dev, libbz2-dev,
 zlib1g-dev, libgcrypt-dev, libadplug-dev (>= 2.3.3~), libopenal-dev,
 libicu-dev (>= 67.1~), libmp3lame-dev, libavfilter-dev

Package: mpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
Breaks: avahi-daemon (<< 0.6.31-3)
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for playing
 audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams (Ogg-Vorbis,
 MP3) and managing playlists. Gapless playback, buffered output, and
 crossfading support is also included. The design focus is on integrating a
 computer into a stereo system that provides control for music playback over
 a TCP/IP network. The goals are to be easy to install and use, to have
 minimal resource requirements (it has been reported to run fine on a
 Pentium 75), and to remain stable and flexible.
 .
 The daemon is controlled through a client which need not run on the same
 computer mpd runs on. The separate client and server design allows users
 to choose a user interface that best suites their tastes independently of
 the underlying daemon (this package) which actually plays music.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt,sphinxdoc -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dsystemd_system_unit_dir=/lib/systemd/system \
	-Dsndio=disabled -Ddocumentation=enabled

#	exit 1

override_dh_auto_install:
	dh_auto_install

	rm debian/mpd/usr/share/doc/mpd/COPYING
	rm debian/mpd/usr/share/doc/mpd/NEWS

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

https://github.com/MusicPlayerDaemon/MPD/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## mpd-dmo 0.23.13

=== debian/changelog ===
mpd-dmo (1:0.23.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 May 2023 07:21:53 +0200

mpd-dmo (1:0.23.12-dmo3) unstable; urgency=medium

  * Install systemd files in /lib/ instead of /usr/lib

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Apr 2023 10:09:59 +0200

mpd-dmo (1:0.23.12-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 11:25:28 +0100

mpd-dmo (1:0.23.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 08:35:53 +0100

mpd-dmo (1:0.23.11-dmo2) unstable; urgency=medium

  * Add libpipewire-0.3-dev to Build-Depends (Thanks to Julian Hughes for
    the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jan 2023 00:53:53 +0100

mpd-dmo (1:0.23.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Nov 2022 15:30:10 +0100

mpd-dmo (1:0.23.10-dmo3) unstable; urgency=medium

  * Build with libicu72

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Nov 2022 01:27:38 +0100

mpd-dmo (1:0.23.10-dmo2) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 14:32:51 +0200

mpd-dmo (1:0.23.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Oct 2022 08:49:39 +0200

mpd-dmo (1:0.23.9-dmo3) unstable; urgency=medium

  * Rebuild with debhelper 13.9.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Oct 2022 19:48:23 +0200

mpd-dmo (1:0.23.9-dmo2) unstable; urgency=medium

  * Build with libfmt9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Aug 2022 08:39:46 +0200

mpd-dmo (1:0.23.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Aug 2022 02:07:42 +0200

mpd-dmo (1:0.23.8-dmo2) unstable; urgency=medium

  * Build with libnpupnp9
  * Add upstream patch to fix build with ffmpeg 5.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Aug 2022 15:28:34 +0200

mpd-dmo (1:0.23.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Jul 2022 07:39:01 +0200

mpd-dmo (1:0.23.7-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 14:34:32 +0200

mpd-dmo (1:0.23.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 May 2022 02:13:51 +0200

mpd-dmo (1:0.23.6-dmo2) unstable; urgency=medium

  * Build with libicu71

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Apr 2022 07:38:02 +0200

mpd-dmo (1:0.23.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 15 Mar 2022 01:00:04 +0100

mpd-dmo (1:0.23.5-dmo5) unstable; urgency=medium

  * Build with libnfs14

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 12:42:53 +0100

mpd-dmo (1:0.23.5-dmo4) unstable; urgency=medium

  * Build with libnpupnp4

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Jan 2022 09:48:06 +0100

mpd-dmo (1:0.23.5-dmo3) unstable; urgency=medium

  * Build with libnpupnp5

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Jan 2022 09:45:18 +0100

mpd-dmo (1:0.23.5-dmo2) unstable; urgency=medium

  * Build with libmft8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Dec 2021 00:53:21 +0100

mpd-dmo (1:0.23.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Dec 2021 09:12:22 +0100

mpd-dmo (1:0.23.4-dmo3) unstable; urgency=medium

  * Build with libfluidsynth3

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Nov 2021 00:18:06 +0100

mpd-dmo (1:0.23.4-dmo2) unstable; urgency=medium

  * Build with liburing2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Nov 2021 08:02:04 +0100

mpd-dmo (1:0.23.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Nov 2021 17:38:10 +0100

mpd-dmo (1:0.23.3-dmo3) unstable; urgency=medium

  * Remove pid configuration in init.d script

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Nov 2021 09:02:22 +0100

mpd-dmo (1:0.23.3-dmo2) unstable; urgency=medium

  * Remove deprecated id3v1_encoding option in /etc/mpd.conf
  * Remove pid_file configuration in /etc/mpd.conf

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 Nov 2021 20:01:14 +0100

mpd-dmo (1:0.23.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Nov 2021 08:46:54 +0100

mpd-dmo (1:0.23.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Oct 2021 11:48:50 +0200

mpd-dmo (1:0.23.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Oct 2021 16:33:29 +0200

mpd-dmo (1:0.23-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * As upstream support libnpupnp instead of libupnp

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 15 Oct 2021 09:34:22 +0200

mpd-dmo (1:0.22.11-dmo2) unstable; urgency=medium

  * Build with libsidplayfp6

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Oct 2021 00:46:20 +0200

mpd-dmo (1:0.22.11-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Aug 2021 07:55:34 +0200

=== debian/control ===
Source: mpd-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.musicpd.org/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libao-dev (>= 0.8.3), meson (>= 0.49.0),
 libasound2-dev [linux-any], libaudiofile-dev (>= 0.3), libsoxr-dev, cmake,
 libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
 libyajl-dev, libmodplug-dev, libcdio-paranoia-dev, libchromaprint-dev,
 libfluidsynth-dev (>= 2.2.3), libmpg123-dev, libavformat-dev, libiso9660-dev,
 libcurl4-gnutls-dev (>= 7.55~), libfaad-dev, xmlto, quilt, libflac-dev (>= 1.1.4),
 libopus-dev, libtwolame-dev, libmpdclient-dev (>= 2.16), libgme-dev,
 libid3tag0-dev, libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev,
 libmpcdec-dev, libpulse-dev, libexpat-dev, libsamplerate0-dev, libshine-dev,
 libboost-dev (>= 1.67), libshout-dev (>= 2.4.0), libsystemd-dev [linux-any],
 libsidplay2-dev, libsqlite3-dev, libsidplayfp-dev (>= 2.0.5), liburing-dev (>= 2.1),
 libnpupnp-dev (>= 4.2.1), libvorbis-dev [!arm !armel !armeb], python3-sphinx,
 libsmbclient-dev, libnfs-dev (>= 1:4.0.0), libvorbisidec-dev [arm armel armeb],
 libwavpack-dev, libwildmidi-dev (>= 0.4.0), libzzip-dev, libbz2-dev,
 zlib1g-dev, libgcrypt-dev, libadplug-dev (>= 2.3.3), libopenal-dev,
 libicu-dev (>= 72~), libmp3lame-dev, libavfilter-dev, libfmt-dev (>= 9.0.0~),
 libopenmpt-dev, libpipewire-0.3-dev, systemd

Package: mpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends}
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
Breaks: avahi-daemon (<< 0.6.31-3)
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for playing
 audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams (Ogg-Vorbis,
 MP3) and managing playlists. Gapless playback, buffered output, and
 crossfading support is also included. The design focus is on integrating a
 computer into a stereo system that provides control for music playback over
 a TCP/IP network. The goals are to be easy to install and use, to have
 minimal resource requirements (it has been reported to run fine on a
 Pentium 75), and to remain stable and flexible.
 .
 The daemon is controlled through a client which need not run on the same
 computer mpd runs on. The separate client and server design allows users
 to choose a user interface that best suites their tastes independently of
 the underlying daemon (this package) which actually plays music.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt,sphinxdoc -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-Db_debug=true \
	-Ddocumentation=enabled \
	-Diconv=enabled \
	-Dsmbclient=enabled \
	-Dsndio=disabled \
	-Dsystemd_system_unit_dir=/lib/systemd/system \
	-Dsystemd_user_unit_dir=/usr/lib/systemd/user \
	-Dupnp=npupnp \
	-Dwildmidi=enabled

#	exit 1

execute_after_dh_auto_install:
	rm debian/mpd/usr/share/doc/mpd/COPYING
	rm debian/mpd/usr/share/doc/mpd/NEWS

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installsystemduser:
	dh_installsystemduser --no-enable

## mpd-dmo 0.23.16

=== debian/changelog ===
mpd-dmo (1:0.23.16-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Dec 2024 11:55:15 +0100

mpd-dmo (1:0.23.15-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Jul 2024 18:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.musicpd.org/
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), libao-dev (>= 0.8.3), meson (>= 0.49.0),
  libasound2-dev [linux-any], libaudiofile-dev (>= 0.3), libsoxr-dev, cmake,
  libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
@@ -15,14 +15,14 @@
  libopus-dev, libtwolame-dev, libmpdclient-dev (>= 2.16), libgme-dev,
  libid3tag0-dev, libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev,
  libmpcdec-dev, libpulse-dev, libexpat-dev, libsamplerate0-dev, libshine-dev,
- libboost-dev (>= 1.67), libshout-dev (>= 2.4.0), libsystemd-dev [linux-any],
+ libshout-dev (>= 2.4.0), libsystemd-dev [linux-any], sphinx-common,
  libsidplay2-dev, libsqlite3-dev, libsidplayfp-dev (>= 2.0.5), liburing-dev (>= 2.1),
- libnpupnp-dev (>= 4.2.1), libvorbis-dev [!arm !armel !armeb], python3-sphinx,
- libsmbclient-dev, libnfs-dev (>= 1:4.0.0), libvorbisidec-dev [arm armel armeb],
+ libnpupnp-dev (>= 6.0.0~), libvorbis-dev [!armel], python3-sphinx,
+ libsmbclient-dev, libnfs-dev (>= 1:4.0.0), libvorbisidec-dev [armel],
  libwavpack-dev, libwildmidi-dev (>= 0.4.0), libzzip-dev, libbz2-dev,
- zlib1g-dev, libgcrypt-dev, libadplug-dev (>= 2.3.3), libopenal-dev,
- libicu-dev (>= 72~), libmp3lame-dev, libavfilter-dev, libfmt-dev (>= 9.0.0~),
- libopenmpt-dev, libpipewire-0.3-dev, systemd
+ zlib1g-dev, libadplug-dev (>= 2.3.3), libopenal-dev, libicu-dev (>= 72~),
+ libmp3lame-dev, libavfilter-dev, libfmt-dev (>= 9.0.0~), libopenmpt-dev,
+ libpipewire-0.3-dev, libboost-dev (>= 1.58),
 
 Package: mpd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-Db_debug=true \
+	-Db_ndebug=true \
 	-Ddocumentation=enabled \
 	-Diconv=enabled \
 	-Dsmbclient=enabled \

## mpd-dmo 0.24.5

=== debian/changelog ===
mpd-dmo (1:0.24.5-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 18:16:31 +0200

mpd-dmo (1:0.24.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Aug 2025 01:20:18 +0200

mpd-dmo (1:0.24.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 May 2025 14:14:28 +0200

mpd-dmo (1:0.24.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Apr 2025 11:59:56 +0200

mpd-dmo (1:0.24.2-dmo2) unstable; urgency=medium

  * Remove :all from python Build dependencies.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Mar 2025 17:27:32 +0100

mpd-dmo (1:0.24.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Mar 2025 08:59:36 +0100

mpd-dmo (1:0.24.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Mar 2025 08:39:42 +0100

mpd-dmo (1:0.24-dmo2) unstable; urgency=medium

  * Build with libicu76

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Mar 2025 00:17:46 +0100

mpd-dmo (1:0.24-dmo1) unstable; urgency=medium

  * New upstream release.
  * Enable NFS

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Mar 2025 23:57:45 +0100

mpd-dmo (1:0.23.17-dmo1+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 18:10:24 +0100

mpd-dmo (1:0.23.17-dmo1) unstable; urgency=medium

  * New upstream release.
  * NFS is disabled for now (fail to build with nfs 6.x, should be fixed in
    mpd 0.24)
  * Build with libiso9660-12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Feb 2025 11:25:54 +0100

mpd-dmo (1:0.23.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Dec 2024 14:33:08 +0100

mpd-dmo (1:0.23.15-dmo6+b2) unstable; urgency=medium

  * New upload.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 16:44:43 +0100

mpd-dmo (1:0.23.15-dmo6+b1) unstable; urgency=medium

  * Build with libfmt10; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 15:51:36 +0100

mpd-dmo (1:0.23.15-dmo6) unstable; urgency=medium

  * Remove libgcrypt-dev from Build-Depends
  * Add include_optional directive to load local config 

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2024 14:58:04 +0100

mpd-dmo (1:0.23.15-dmo5) unstable; urgency=medium

  * Rebuild for time_t (libmpg123-0t64)
  * Rebuild with ffmpeg 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 Apr 2024 01:21:34 +0200

mpd-dmo (1:0.23.15-dmo4) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 08:46:49 +0100

mpd-dmo (1:0.23.15-dmo3) unstable; urgency=medium

  * Rebuild to install systemd files in /usr

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jan 2024 11:39:28 +0100

mpd-dmo (1:0.23.15-dmo2) unstable; urgency=medium

  * Build with libnpupnp13

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Dec 2023 09:05:24 +0100

mpd-dmo (1:0.23.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Dec 2023 08:36:55 +0100

mpd-dmo (1:0.23.14-dmo3) unstable; urgency=medium

  * Build with libnpupnp12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Nov 2023 08:32:20 +0100

mpd-dmo (1:0.23.14-dmo2) unstable; urgency=medium

  * Remove /var/lib/mpd/.config on purge

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Oct 2023 14:45:26 +0200

mpd-dmo (1:0.23.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Oct 2023 11:39:05 +0200

=== debian/control ===
Source: mpd-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.musicpd.org/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), libao-dev (>= 0.8.3), meson (>= 0.49.0),
 libasound2-dev (>= 1.2.11~), libaudiofile-dev (>= 0.3), libsoxr-dev (>= 0.1.2~),
 libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
 nlohmann-json3-dev, libmodplug-dev, libcdio-paranoia-dev,libchromaprint-dev,
 libfluidsynth-dev (>= 2.2.3), libmpg123-dev, libavformat-dev, xmlto, quilt,
 libiso9660-dev (>= 1:2.2.0~), libcurl4-gnutls-dev (>= 7.55~), libfaad-dev,
 libopus-dev, libtwolame-dev, libmpdclient-dev (>= 2.15), libgme-dev,
 libid3tag0-dev, libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev,
 libmpcdec-dev, libpulse-dev, libexpat-dev, libsamplerate0-dev, libshine-dev,
 libshout-dev (>= 2.4.0), libsystemd-dev [linux-any], sphinx-common, cmake,
 libsidplay2-dev, libsqlite3-dev, libsidplayfp-dev (>= 2.0.5),libbz2-dev,
 liburing-dev (>= 2.1), libnpupnp-dev (>= 6.0.0~), libvorbis-dev [!armel],
 python3-sphinx, libsmbclient-dev, libnfs-dev (>= 1:6.0.0), libopenmpt-dev,
 libvorbisidec-dev [armel], libwavpack-dev (>= 5~), libwildmidi-dev (>= 0.4.0),
 libzzip-dev, zlib1g-dev, libadplug-dev (>= 2.3.3), libopenal-dev,
 libicu-dev (>= 76~), libmp3lame-dev, libavfilter-dev, libpipewire-0.3-dev,
 libfmt-dev (>= 10.0.0~), systemd-dev, libboost-dev (>= 1.68),
 libflac-dev (>= 1.1.4), python3-sphinx-rtd-theme,

Package: mpd
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser, ${misc:Depends}, ${shlibs:Depends}, ${sphinxdoc:Depends},
Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio,
Breaks: avahi-daemon (<< 0.6.31-3),
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for playing
 audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams (Ogg-Vorbis,
 MP3) and managing playlists. Gapless playback, buffered output, and
 crossfading support is also included. The design focus is on integrating a
 computer into a stereo system that provides control for music playback over
 a TCP/IP network. The goals are to be easy to install and use, to have
 minimal resource requirements (it has been reported to run fine on a
 Pentium 75), and to remain stable and flexible.
 .
 The daemon is controlled through a client which need not run on the same
 computer mpd runs on. The separate client and server design allows users
 to choose a user interface that best suites their tastes independently of
 the underlying daemon (this package) which actually plays music.

## mpd-dmo 0.24.6

=== debian/changelog ===
mpd-dmo (1:0.24.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 20 Oct 2025 14:31:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,14 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-Db_ndebug=true \
-	-Ddocumentation=enabled \
-	-Diconv=enabled \
-	-Dsmbclient=enabled \
-	-Dsndio=disabled \
-	-Dsystemd_system_unit_dir=/lib/systemd/system \
-	-Dsystemd_user_unit_dir=/usr/lib/systemd/user \
-	-Dupnp=npupnp \
-	-Dwildmidi=enabled
+	-D b_ndebug=true \
+	-D documentation=enabled \
+	-D iconv=enabled \
+	-D nfs=enabled \
+	-D smbclient=enabled \
+	-D sndio=disabled \
+	-D upnp=npupnp \
+	-D wildmidi=enabled
 
 #	exit 1

## mpd-dmo 0.24.7

=== debian/changelog ===
mpd-dmo (1:0.24.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jan 2026 00:50:54 +0100

mpd-dmo (1:0.24.6-dmo3) unstable; urgency=medium

  * Build with libcdio-cdda2t64

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 04 Jan 2026 09:37:40 +0100

mpd-dmo (1:0.24.6-dmo2) unstable; urgency=medium

  * Buidl with libadplug-2.4-0

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 30 Dec 2025 15:00:05 +0100

## mpd-dmo 0.24.8

=== debian/changelog ===
mpd-dmo (1:0.24.8-dmo4) unstable; urgency=medium

  * Build with libicu78

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Mar 2026 19:50:42 +0100

mpd-dmo (1:0.24.8-dmo3) unstable; urgency=medium

  * Add group option in default mpd.conf

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Feb 2026 00:05:40 +0100

mpd-dmo (1:0.24.8-dmo2) unstable; urgency=medium

  * Unreleased.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Feb 2026 16:33:20 +0100

mpd-dmo (1:0.24.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 27 Jan 2026 00:12:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: mpd-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://www.musicpd.org/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), libao-dev (>= 0.8.3), meson (>= 0.49.0),
  libasound2-dev (>= 1.2.11~), libaudiofile-dev (>= 0.3), libsoxr-dev (>= 0.1.2~),
  libavahi-client-dev, libavahi-glib-dev, libavcodec-dev, libsndfile1-dev,
  nlohmann-json3-dev, libmodplug-dev, libcdio-paranoia-dev,libchromaprint-dev,
- libfluidsynth-dev (>= 2.2.3), libmpg123-dev, libavformat-dev, xmlto, quilt,
- libiso9660-dev (>= 1:2.2.0~), libcurl4-gnutls-dev (>= 7.55~), libfaad-dev,
+ libfluidsynth-dev (>= 2.2.3), libmpg123-dev, libavformat-dev, xmlto,
+ libiso9660-dev (>= 1:2.2.0~), libcurl4-openssl-dev (>= 7.55~), libfaad-dev,
  libopus-dev, libtwolame-dev, libmpdclient-dev (>= 2.15), libgme-dev,
  libid3tag0-dev, libjack-jackd2-dev, libmad0-dev, libmikmod-dev, libmms-dev,
  libmpcdec-dev, libpulse-dev, libexpat-dev, libsamplerate0-dev, libshine-dev,
@@ -19,10 +18,10 @@
  liburing-dev (>= 2.1), libnpupnp-dev (>= 6.0.0~), libvorbis-dev [!armel],
  python3-sphinx, libsmbclient-dev, libnfs-dev (>= 1:6.0.0), libopenmpt-dev,
  libvorbisidec-dev [armel], libwavpack-dev (>= 5~), libwildmidi-dev (>= 0.4.0),
- libzzip-dev, zlib1g-dev, libadplug-dev (>= 2.3.3), libopenal-dev,
- libicu-dev (>= 76~), libmp3lame-dev, libavfilter-dev, libpipewire-0.3-dev,
- libfmt-dev (>= 10.0.0~), systemd-dev, libboost-dev (>= 1.68),
- libflac-dev (>= 1.1.4), python3-sphinx-rtd-theme,
+ libzzip-dev, zlib1g-dev, libadplug-dev (>= 2.4~), libopenal-dev,
+ libicu-dev (>= 78~), libmp3lame-dev, libavfilter-dev, libpipewire-0.3-dev,
+ libfmt-dev (>= 10.0.0~), systemd-dev, libflac-dev (>= 1.1.4),
+ python3-sphinx-rtd-theme, libgtest-dev,
 
 Package: mpd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with sphinxdoc -Smeson

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dadplug=enabled \
	-Dalsa=enabled \
	-Dao=enabled \
	-Daudiofile=enabled \
	-Db_ndebug=true \
	-Dbzip2=enabled \
	-Dcdio_paranoia=enabled \
	-Dchromaprint=enabled \
	-Dcue=true \
	-Dcurl=enabled \
	-Ddatabase=true \
	-Ddocumentation=enabled \
	-Dexpat=enabled \
	-Dfaad=enabled \
	-Dffmpeg=enabled \
	-Dfifo=true \
	-Dflac=enabled \
	-Dfluidsynth=enabled \
	-Dgme=enabled \
	-Dhttpd=true \
	-Diconv=enabled \
	-Dicu=enabled \
	-Did3tag=enabled \
	-Dinotify=true \
	-Dio_uring=enabled \
	-Dipv6=enabled \
	-Diso9660=enabled \
	-Djack=enabled \
	-Dlame=enabled \
	-Dlibmpdclient=enabled \
	-Dlibsamplerate=enabled \
	-Dlocal_socket=true \
	-Dmad=enabled \
	-Dmikmod=enabled \
	-Dmms=enabled \
	-Dmodplug=enabled \
	-Dmpcdec=enabled \
	-Dmpg123=enabled \
	-Dneighbor=true \
	-Dnfs=enabled \
	-Dnlohmann_json=enabled \
	-Dopenal=enabled \
	-Dopenmpt=enabled \
	-Dopus=enabled \
	-Doss=enabled \
	-Dpcre=enabled \
	-Dpipe=true \
	-Dpipewire=enabled \
	-Dpulse=enabled \
	-Dqobuz=enabled \
	-Drecorder=true \
	-Dshine=disabled \
	-Dshout=enabled \
	-Dsidplay=enabled \
	-Dsmbclient=enabled \
	-Dsnapcast=true \
	-Dsndfile=enabled \
	-Dsndio=disabled \
	-Dsoxr=enabled \
	-Dsqlite=enabled \
	-Dsyslog=enabled \
	-Dsystemd=enabled \
	-Dtcp=true \
	-Dtest=true \
	-Dtremor=disabled \
	-Dtwolame=enabled \
	-Dupnp=npupnp \
	-Dvorbis=enabled \
	-Dvorbisenc=enabled \
	-Dwave_encoder=true \
	-Dwavpack=enabled \
	-Dwebdav=enabled \
	-Dwildmidi=enabled \
	-Dzeroconf=avahi \
	-Dzlib=enabled \
	-Dzzip=enabled

#	exit 1

execute_after_dh_auto_install:
	rm debian/mpd/usr/share/doc/mpd/COPYING
	rm debian/mpd/usr/share/doc/mpd/NEWS

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installsystemduser:
	dh_installsystemduser --no-enable
